package domain


type AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo struct {
    /*
        alipay：支付宝     */
    PayChannel  *string `json:"pay_channel,omitempty" `

    /*
        盒马订单号     */
    HmOrderId  *string `json:"hm_order_id,omitempty" `

    /*
        app：线上， pos：线下     */
    OrderChannel  *string `json:"order_channel,omitempty" `

    /*
        经营店id     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        淘系订单号     */
    TpOrderId  *string `json:"tp_order_id,omitempty" `

    /*
        账单日期     */
    Dt  *string `json:"dt,omitempty" `

    /*
        支付宝二级商户ID     */
    Smid  *string `json:"smid,omitempty" `

    /*
        金额，正向交易时数值是正数，退款时数值是负数     */
    Amount  *int64 `json:"amount,omitempty" `

    /*
        支付时间     */
    PayTime  *string `json:"pay_time,omitempty" `

    /*
        业务类型。PAY：支付， REFUND：退款     */
    BizType  *string `json:"biz_type,omitempty" `

    /*
        支付机构支付流水号     */
    TradeNo  *string `json:"trade_no,omitempty" `

    /*
        财务组织名称     */
    FinanceOrganizationName  *string `json:"finance_organization_name,omitempty" `

    /*
        财务组织code     */
    FinanceOrganizationCode  *string `json:"finance_organization_code,omitempty" `

}

func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetPayChannel(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.PayChannel = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetHmOrderId(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.HmOrderId = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetOrderChannel(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.OrderChannel = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetStoreId(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetMerchantCode(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetTpOrderId(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.TpOrderId = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetDt(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.Dt = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetSmid(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.Smid = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetAmount(v int64) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.Amount = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetPayTime(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.PayTime = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetBizType(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.BizType = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetTradeNo(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.TradeNo = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetFinanceOrganizationName(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.FinanceOrganizationName = &v
    return s
}
func (s *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo) SetFinanceOrganizationCode(v string) *AlibabaWdkOrderFinanceBillQueryWdkOpenOrderFinanceBillDo {
    s.FinanceOrganizationCode = &v
    return s
}
